View Issue Details

IDProjectCategoryView StatusLast Update
0007513Kali Linux[All Projects] General Bugpublic2021-12-29 13:15
Reportercohst Assigned Tosbrun  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2021.4 
Target VersionFixed in Version2022.1 
Summary0007513: wpscan broken after apt-get update && apt-get dist-upgrade
DescriptionAfter sudo apt-get update && apt-get dist-upgrade wpscan is broken, obviously because of dependencies:

┌──(cohst@kali-linux)-[~]
└─$ wpscan -h
Traceback (most recent call last):
        12: from /usr/bin/wpscan:25:in `<main>'
        11: from /usr/lib/ruby/vendor_ruby/rubygems.rb:298:in `activate_bin_path'
        10: from /usr/lib/ruby/vendor_ruby/rubygems.rb:298:in `synchronize'
         9: from /usr/lib/ruby/vendor_ruby/rubygems.rb:299:in `block in activate_bin_path'
         8: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1372:in `activate'
         7: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1390:in `activate_dependencies'
         6: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1390:in `each'
         5: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1408:in `block in activate_dependencies'
         4: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1372:in `activate'
         3: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1390:in `activate_dependencies'
         2: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1390:in `each'
         1: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1402:in `block in activate_dependencies'
/usr/lib/ruby/vendor_ruby/rubygems/dependency.rb:313:in `to_specs': Could not find 'ethon' (~> 0.9.0) - did find: [ethon-0.15.0] (Gem::MissingSpecVersionError)
Checked in 'GEM_PATH=/home/cohst/.local/share/gem/ruby/2.7.0:/var/lib/gems/2.7.0:/usr/local/lib/ruby/gems/2.7.0:/usr/lib/ruby/gems/2.7.0:/usr/lib/x86_64-linux-gnu/ruby/gems/2.7.0:/usr/share/rubygems-integration/2.7.0:/usr/share/rubygems-integration/all:/usr/lib/x86_64-linux-gnu/rubygems-integration/2.7.0' , execute `gem env` for more information
        12: from /usr/bin/wpscan:25:in `<main>'
        11: from /usr/lib/ruby/vendor_ruby/rubygems.rb:298:in `activate_bin_path'
        10: from /usr/lib/ruby/vendor_ruby/rubygems.rb:298:in `synchronize'
         9: from /usr/lib/ruby/vendor_ruby/rubygems.rb:299:in `block in activate_bin_path'
         8: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1372:in `activate'
         7: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1390:in `activate_dependencies'
         6: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1390:in `each'
         5: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1408:in `block in activate_dependencies'
         4: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1372:in `activate'
         3: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1390:in `activate_dependencies'
         2: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1390:in `each'
         1: from /usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1401:in `block in activate_dependencies'
/usr/lib/ruby/vendor_ruby/rubygems/specification.rb:1404:in `rescue in block in activate_dependencies': Could not find 'ethon' (~> 0.9.0) among 161 total gem(s) (Gem::MissingSpecError)
Checked in 'GEM_PATH=/home/cohst/.local/share/gem/ruby/2.7.0:/var/lib/gems/2.7.0:/usr/local/lib/ruby/gems/2.7.0:/usr/lib/ruby/gems/2.7.0:/usr/lib/x86_64-linux-gnu/ruby/gems/2.7.0:/usr/share/rubygems-integration/2.7.0:/usr/share/rubygems-integration/all:/usr/lib/x86_64-linux-gnu/rubygems-integration/2.7.0' at: /usr/share/rubygems-integration/all/specifications/cms_scanner-0.13.6.gemspec, execute `gem env` for more information
                                                                                                             
┌──(cohst@kali-linux)-[~]
└─$
Steps To ReproduceDo sudo apt-get update && apt-get dist-upgrade

Relationships

related to 0007506 resolvedsbrun WPScan does not start after upgrading Kali to latest 

Activities

Phfish

2021-12-26 22:41

reporter   ~0015570

I got the same problem with a fresh install of kali, when i uninstalled pulseaudio "sudo apt-get remove pulseaudio" then "sudo apt-get install pulseaudio"
probrally also breaks when "sudo apt-get full-upgrade pulsaudio"


also broke when "sudo apt-get full-upgrade"

sbrun

2021-12-27 20:15

manager   ~0015571

it should be fixed with the new ruby-cms-scanner package version 0.13.6-0kali2.
It will be in kali-rolling in a few hours.

sbrun

2021-12-29 13:14

manager   ~0015578

fixed package is in kali-rolling

Issue History

Date Modified Username Field Change
2021-12-26 15:44 cohst New Issue
2021-12-26 22:41 Phfish Note Added: 0015570
2021-12-27 20:14 sbrun Assigned To => sbrun
2021-12-27 20:14 sbrun Status new => assigned
2021-12-27 20:15 sbrun Note Added: 0015571
2021-12-29 13:14 sbrun Status assigned => resolved
2021-12-29 13:14 sbrun Resolution open => fixed
2021-12-29 13:14 sbrun Fixed in Version => 2022.1
2021-12-29 13:14 sbrun Note Added: 0015578
2021-12-29 13:15 sbrun Relationship added related to 0007506